Package org.jboss.logging.processor.validation

## Class ValidationMessageFactory

- java.lang.Object
- - org.jboss.logging.processor.validation.ValidationMessageFactory

    public final class ValidationMessageFactory
    extends Object

Date: 12.08.2011

Author:
  James R. Perkins

### Method Summary

All Methods Static Methods Concrete Methods
`static ValidationMessage` `createError​(Element element, String message)`
`static ValidationMessage` `createError​(Element element, String format, Object... args)`
`static ValidationMessage` `createError​(Element element, AnnotationMirror annotationMirror, String message)`
`static ValidationMessage` `createError​(Element element, AnnotationMirror annotationMirror, String format, Object... args)`
`static ValidationMessage` `createError​(Element element, AnnotationMirror annotationMirror, AnnotationValue annotationValue, String message)`
`static ValidationMessage` `createError​(Element element, AnnotationMirror annotationMirror, AnnotationValue annotationValue, String format, Object... args)`
`static ValidationMessage` `createWarning​(Element element, String message)`
`static ValidationMessage` `createWarning​(Element element, String format, Object... args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createError

    public static ValidationMessage createError​(Element element,
                                                String message)

#### createError

    public static ValidationMessage createError​(Element element,
                                                String format,
                                                Object... args)

#### createError

    public static ValidationMessage createError​(Element element,
                                                AnnotationMirror annotationMirror,
                                                String message)

#### createError

    public static ValidationMessage createError​(Element element,
                                                AnnotationMirror annotationMirror,
                                                String format,
                                                Object... args)

#### createError

    public static ValidationMessage createError​(Element element,
                                                AnnotationMirror annotationMirror,
                                                AnnotationValue annotationValue,
                                                String message)

#### createError

    public static ValidationMessage createError​(Element element,
                                                AnnotationMirror annotationMirror,
                                                AnnotationValue annotationValue,
                                                String format,
                                                Object... args)

#### createWarning

    public static ValidationMessage createWarning​(Element element,
                                                  String message)

#### createWarning

    public static ValidationMessage createWarning​(Element element,
                                                  String format,
                                                  Object... args)